net.minecraft.client.renderer

## Class GLAllocation

- java.lang.Object
- - net.minecraft.client.renderer.GLAllocation

-     public class GLAllocation
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GLAllocation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ByteBuffer` | `createDirectByteBuffer(int par0)` Creates and returns a direct byte buffer with the specified capacity.
    `static FloatBuffer` | `createDirectFloatBuffer(int par0)` Creates and returns a direct float buffer with the specified capacity.
    `static IntBuffer` | `createDirectIntBuffer(int par0)` Creates and returns a direct int buffer with the specified capacity.
    `static void` | `deleteDisplayLists(int par0)`
    `static void` | `deleteTexturesAndDisplayLists()` Deletes all textures and display lists.
    `static void` | `func_98302_b()`
    `static int` | `generateDisplayLists(int par0)` Generates the specified number of display lists and returns the first index.
    `static int` | `generateTextureNames()` Generates texture names and stores them in the specified buffer.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GLAllocation

          public GLAllocation()

  - ### Method Detail

    - #### generateDisplayLists

          public static int generateDisplayLists(int par0)

      Generates the specified number of display lists and returns the first index.

    - #### generateTextureNames

          public static int generateTextureNames()

      Generates texture names and stores them in the specified buffer.

    - #### deleteDisplayLists

          public static void deleteDisplayLists(int par0)

    - #### func_98302_b

          public static void func_98302_b()

    - #### deleteTexturesAndDisplayLists

          public static void deleteTexturesAndDisplayLists()

      Deletes all textures and display lists. Called when Minecraft is shutdown to free up resources.

    - #### createDirectByteBuffer

          public static ByteBuffer createDirectByteBuffer(int par0)

      Creates and returns a direct byte buffer with the specified capacity. Applies native ordering to speed up access.

    - #### createDirectIntBuffer

          public static IntBuffer createDirectIntBuffer(int par0)

      Creates and returns a direct int buffer with the specified capacity. Applies native ordering to speed up access.

    - #### createDirectFloatBuffer

          public static FloatBuffer createDirectFloatBuffer(int par0)

      Creates and returns a direct float buffer with the specified capacity. Applies native ordering to speed up access.